- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_server_description_t

# mongoc_server_description_ismaster()

## Synopsis

    const bson_t *
    mongoc_server_description_ismaster (
       const mongoc_server_description_t *description);

## Parameters

- `description`: A mongoc_server_description_t.

## Description

The client or client pool periodically runs an “isMaster” command on each server, to update its view of the MongoDB deployment. Use mongoc_client_get_server_descriptions() and `mongoc_server_description_ismaster()` to get the most recent “isMaster” response.

## Returns

A reference to a BSON document, owned by the server description. The document is empty if the driver is not connected to the server.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.